[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomIcon.SetPixelFormat

Sets the value for the PixelFormat property.

## Declaration

Source position: graphics.pp line 1642

`protected procedure TCustomIcon.SetPixelFormat(`
`AValue: TPixelFormat`
`); override;`

## Arguments

`AValue` |  | New value for the property.

## Description

Changing the value for PixelFormat raises an EInvalidGraphicOperation exception in TCustomIcon.

## See also

TRasterImage.SetPixelFormat |  | Sets the value for the PixelFormat property.
TRasterImage.PixelFormat |  | Storage format for the Pixels in the Image.